For the complete documentation index, see llms.txt. This page is also available as Markdown.

TaskFieldValidationTypes

Introduction

TaskFieldValidationTypes define which validation rules can be attached to TaskFields.

Model Definition

Alias

formFieldValidationType

List

List available TaskFieldValidationTypes.

Definition

GET /api/tasks-2/field-validation-types

Example Request

$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/tasks-2/field-validation-types', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);

Example Response

Show

Show one TaskFieldValidationType.

Definition

GET /api/tasks-2/field-validation-types/{formFieldValidationType}

Route Parameters

Parameter
Type
Description

formFieldValidationType

string

Validation type ID (for example required).

Example Request

Example Response

Allowed validation type keys

  • required

  • email

  • phone

  • url

  • number

  • digits_only

  • minmax

  • items-count

  • boolean

  • datetime

  • after-before

  • file

  • mimetypes

  • last-modified

  • in

  • not-in

  • entity-selection

  • regex

Last updated